/* ==========================================================
 * bootstrap-formhelpers-countries.es_ES.js
 * https://github.com/vlamanna/BootstrapFormHelpers
 * ==========================================================
 * Copyright 2012 Vincent Lamanna
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================================================== */
 
var BFHCountriesList = {
  'AF': 'Afganistán',
  'AL': 'Albania',
  'DE': 'Alemania',
  'DZ': 'Algeria',
  'AD': 'Andorra',
  'AO': 'Angola',
  'AI': 'Anguilla',
  'AQ': 'Antártida'  ,
  'AG': 'Antigua y Barbuda' ,
  'AN': 'Antillas Neerlandesas',
  'SA': 'Arabia Saudita',
  'AR': 'Argentina' ,
  'AM': 'Armenia' ,
  'AW': 'Aruba' ,
  'AU': 'Australia' ,
  'AT': 'Austria' ,
  'AZ': 'Azerbaiyán'  ,
  'BS': 'Bahamas',
  'BH': 'Baréin' ,
  'BD': 'Bangladesh',
  'BB': 'Barbados'  ,
  'BE': 'Bélgica',
  'BZ': 'Belice',
  'BJ': 'Benín',
  'BM': 'Bermudas',
  'BT': 'Bután',
  'BY': 'Bielorrusia',
  'BO': 'Bolivia',
  'BA': 'Bosnia-Herzegovina',
  'BW': 'Botsuana',
  'BR': 'Brasil',
  'BN': 'Brunei',
  'BG': 'Bulgaria',
  'BF': 'Burkina Faso',
  'BI': 'Burundi',
  'KH': 'Camboya',
  'CM': 'Camerún',
  'CA': 'Canadá',
  'CV': 'Cabo Verde',
  'TD': 'Chad',
  'CL': 'Chile',
  'CN': 'China',
  'CY': 'Chipre',
  'VA': 'Ciudad del Vaticano',
  'CO': 'Colombia',
  'KM': 'Comoras',
  'CG': 'Congo',
  'KP': 'Corea del Norte',
  'KR': 'Corea del Sur',
  'CR': 'Costa Rica',
  'CI': 'Costa de Marfil',
  'HR': 'Croacia',
  'CU': 'Cuba',
  'DK': 'Dinamarca',
  'DM': 'Dominica',
  'EC': 'Ecuador',
  'EG': 'Egipto',
  'SV': 'El Salvador',
  'AE': 'Emiratos Arabes Unidos',
  'ER': 'Eritrea',
  'ES': 'España',
  'SK': 'Eslovaquia',
  'SI': 'Eslovenia',
  'US': 'Estados Unidos',
  'EE': 'Estonia',
  'ET': 'Etiopía',
  'FJ': 'Fiji',
  'PH': 'Filipinas',
  'FI': 'Finlandia',
  'FR': 'Francia',
  'FX': 'Francia Metropolitana',
  'GA': 'Gabon',
  'GM': 'Gambia',
  'GE': 'Georgia',
  'GH': 'Ghana',
  'GI': 'Gibraltar',
  'GQ': 'Guinea Ecuatorial',
  'GR': 'Greciae',
  'GD': 'Granada',
  'GL': 'Groenlandia',
  'GP': 'Guadalupe',
  'GU': 'Guam',
  'GT': 'Guatemala',
  'GN': 'Guinea',
  'GW': 'Guinea-Bissau',
  'GY': 'Guyana',
  'GF': 'Guayana Francesa',
  'HT': 'Haiti',
  'HN': 'Honduras',
  'HK': 'Hong Kong',
  'HU': 'Hungría',
  'IN': 'India',
  'ID': 'Indonesia',
  'IR': 'Iran',
  'IQ': 'Irak',
  'IE': 'Irlada',
  'BV': 'Isla Bouvet',
  'CX': 'Isla de Navidad',
  'NF': 'Isla Norfolk',
  'KY': 'Islas Caimán',
  'CC': 'Islas Cocos',
  'CK': 'Islas Cook',
  'FO': 'Islas Feroe',
  'GS': 'Islas Georgias del Sur y Sandwich del Sur',
  'HM': 'Islas Heard y McDonald',
  'FK': 'Islas Malvinas',
  'MP': 'Islas Marianas del Norte',
  'MH': 'Islas Marshall',
  'PN': 'Islas Pitcairn',
  'SB': 'Islas Salomon',
  'TC': 'Islas Turcas y Caicos',
  'UM': 'Islas Ultramarinas Menores de Estados Unidos',
  'VG': 'Islas Vírgenes Británicas',
  'VI': 'Islas Vírgenes de los Estados Unidos',
  'IS': 'Islandía',
  'IL': 'Israel',
  'IT': 'Italia',
  'JM': 'Jamaica',
  'JP': 'Japón',
  'JO': 'Jordan',
  'KZ': 'Kazajistán',
  'KE': 'Kenya',
  'KI': 'Kiribati',
  'KW': 'Kuwait',
  'KG': 'Kirguistán',
  'LA': 'Laos',
  'LS': 'Lesoto',
  'LV': 'Letonia',
  'LB': 'Líbano',
  'LR': 'Liberia',
  'LY': 'Libia',
  'LI': 'Liechtenstein',
  'LT': 'Lituania',
  'LU': 'Luxemburgo',
  'MO': 'Macau',
  'MG': 'Madagascar',
  'MW': 'Malawi',
  'MY': 'Malasia',
  'MV': 'Maldivas',
  'ML': 'Mali',
  'MT': 'Malta',
  'MQ': 'Martinica',
  'MA': 'Marruecos',
  'MR': 'Mauritania',
  'MU': 'Mauricio',
  'YT': 'Mayotte',
  'MX': 'México',
  'FM': 'Micronesia',
  'MD': 'Moldavia',
  'MC': 'Mónaco',
  'MN': 'Mongolia',
  'ME': 'Montenegro',
  'MS': 'Montserrat',
  'MZ': 'Mozambique',
  'MM': 'Myanmar',
  'NA': 'Namibia',
  'NR': 'Nauru',
  'NP': 'Nepal',
  'NC': 'Nueva Caledonia',
  'NZ': 'Nueva Zelanda',
  'NI': 'Nicaragua',
  'NE': 'Niger',
  'NG': 'Nigeria',
  'NU': 'Niue',
  'NO': 'Noruega',
  'OM': 'Oman',
  'PK': 'Pakistán',
  'NL': 'Países Bajos',
  'PW': 'Palau',
  'PS': 'Palestina',
  'PA': 'Panamá',
  'PG': 'Papua New Guinea',
  'PY': 'Paraguay',
  'PE': 'Perú',
  'PF': 'Polinesia Francesa',
  'PL': 'Polonia',
  'PT': 'Portugal',
  'PR': 'Puerto Rico',
  'QA': 'Qatar',
  'GB': 'Reino Unido',
  'CF': 'República Centroafricana',
  'CZ': 'República Checa',
  'MK': 'República de Macedonia',
  'CD': 'República Democrática del Congo',
  'DO': 'República Dominicana',
  'RE': 'Reunion',
  'RW': 'Ruanda',
  'RO': 'Rumania',
  'RU': 'Rusia',
  'EH': 'Sahara Occidental',
  'SH': 'Santa Helena',
  'KN': 'San Cristóbal y Nevis',
  'LC': 'Santa Lucía',
  'PM': 'San Pedro y Miquelón',
  'VC': 'San Vincente y las Granadinas',
  'ST': 'Santo Tomé y Príncipe',
  'WS': 'Samoa',
  'AS': 'Samoa Americana',
  'SM': 'San Marino',
  'SN': 'Senegal',
  'RS': 'Serbia',
  'SC': 'Seychelles',
  'SL': 'Sierra Leona',
  'SG': 'Singapur',
  'SO': 'Somalia',
  'LK': 'Sri Lanka',
  'SD': 'Sudán',
  'SR': 'Surinám',
  'SZ': 'Suazilandia',
  'ZA': 'Sudáfrica',
  'SE': 'Suecia',
  'CH': 'Suiza',
  'SY': 'Siria',
  'SJ': 'Svalbard y Jan Mayen',
  'TH': 'Tailandia',
  'TW': 'Taiwán',
  'TJ': 'Tajikistan',
  'TZ': 'Tanzania',
  'IO': 'Territorio Británico del Océano Índico',
  'TF': 'Territorios Australes y Antárticos Franceses',
  'TP': 'Timor Oriental',
  'TG': 'Togo',
  'TK': 'Tokelau',
  'TO': 'Tonga',
  'TT': 'Trinidad y Tobago',
  'TN': 'Túnez',
  'TR': 'Turquía',
  'TM': 'Turkmenistán',
  'TV': 'Tuvalu',
  'UG': 'Uganda',
  'UA': 'Ucrania',
  'UY': 'Uruguay',
  'UZ': 'Uzbekistán',
  'VU': 'Vanuatu',
  'VE': 'Venezuela',
  'VN': 'Vietnam',
  'WF': 'Wallis y Futuna',
  'YE': 'Yemen',
  'DJ': 'Yibuti',
  'ZM': 'Zambia',
  'ZW': 'Zimbabwe'
};
