## Paragraph Format

### How it works

* A paragraph format can be applied by placing your cursor within a text
block and selecting an item from the *Paragraph Format* menu.

* The baseline format is *Normal*, which is a simple paragraph. When a
paragraph has no other active format applied, its format is Normal.

* To remove one of the other paragraph formats such as *Preformatted* or
*Address*, either toggle it off by selecting it in the menu, or select the
*Normal* option from the menu.

* Headings are a specialized type of paragraph format used to label logical
sections of a document, or to specify the document title, and are selected
using the *Heading* menu.

### Why it's important

* Thinking in terms of blocks such as paragraphs and section headings within
your document is a higher-level approach to providing structure and semantics
that are important for all users.

* When paragraph formats are used properly (e.g. *Preformatted text* or
*Address*), they help users of assistive technologies understand the intended
role of the content.

* Visual styling for paragraph formats is predetermined by your organization,
thus freeing up your time and energy for concentrating on the structure and
meaning of the content within your document.

### More information

* <a href="https://en.wikiversity.org/wiki/Technical_writing" target="_resource">Wikiversity: Technical writing</a>

* <a href="https://en.wikipedia.org/wiki/Chunking_&lpar;writing&rpar;" target="_resource">Chunking (writing)</a>
